Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class TechnologiesContacts
    Inherits BaseObject

    Private _Technologies As Technologies
    Private _Contacts As Contacts

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <RuleRequiredField("TechnologiesContacts - Technologies", DefaultContexts.Save)> _
    Property Technologies As Technologies
        Get
            Return _Technologies
        End Get
        Set(value As Technologies)
            SetPropertyValue("Technologies", _Technologies, value)
        End Set
    End Property
    <RuleRequiredField("TechnologiesContacts - Contacts", DefaultContexts.Save)> _
    Property Contacts As Contacts
        Get
            Return _Contacts
        End Get
        Set(value As Contacts)
            SetPropertyValue("Contacts", _Contacts, value)
        End Set
    End Property
End Class
